#ifndef __TILES__TILE_RENDERER_H__
#define __TILES__TILE_RENDERER_H__

#include "TileMap.h"
#include <SDL2/SDL.h>

class TileRenderer
{
public:
    TileRenderer(SDL_Renderer* renderer);
    
    void SetTileset(SDL_Texture* tilesetTexture, int tileSizePx = 32);
    
    void RenderVisibleChunks(TileMap* map,
                             int cameraX, int cameraY,
                             int screenWidth, int screenHeight);

private:
    SDL_Renderer* renderer = nullptr;
    SDL_Texture* tileset = nullptr;
    int tileSize = 32;

};

#endif